# -*- coding: utf-8 -*-
from __future__ import annotations

from crispy_forms.layout import Submit
from django import forms
from django.utils.translation import gettext_lazy as _

from .base import Form


class PocketImportForm(Form):
    csv = forms.FileField(
        label=_('Export CSV'),
        required=True,
    )

    def get_layout_fields(self) -> list[str]:
        return ['csv']

    def get_submit_button(self) -> Submit:
        return Submit('submit', _('Import'), css_class='btn btn-primary')
